Open SCAP Library

Data Structures | Functions
_oval_probe_handler.h File Reference

OVAL probe handler private header. More...

`#include <stdint.h>`
`#include "public/oval_probe_handler.h"`

Go to the source code of this file.

## Data Structures
struct | oval_ph
struct | oval_phtbl

## Functions
oval_phtbl_t * | oval_phtbl_new (void)
void | oval_phtbl_free (oval_phtbl_t *phtbl)
oval_ph_t * | oval_probe_handler_get (oval_phtbl_t *phtbl, oval_subtype_t type)
int | oval_probe_handler_set (oval_phtbl_t *phtbl, oval_subtype_t type, oval_probe_handler_t *handler, void *uptr)

## Detailed Description

OVAL probe handler private header.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m